Subject: 23.1.96; [NEWS] `su' and `sudo' for eshell??

From: Jens Petersen <[email-masked]>
Date: Sat, 24 Apr 2010 18:00:21 +1000

The current 23.2 NEWS file has an entry about su and sudo "internal
commands":

"""
*** The new built-in commands `su' and `sudo' support Tramp.
That means, they change `default-directory' to the new users value,
and let commands run under that user permissions.  It works even when
`default-directory' is already remote.  Calling the external commands
is possible by `*su' or `*sudo', respectively.
"""

It seems unclear where they can be used, though I found them available
in eshell, is that the correct context?

Thanks, Jens

In GNU Emacs 23.1.96.1 (i386-redhat-linux-gnu, GTK+ Version 2.20.0)
 of 2010-04-21 on x86-01.phx2.fedoraproject.org
Windowing system distributor `Fedora Project', version 11.0.10800000